-- Run the following script with the following command : --
-- sqlplus SYS/oracle@XEPDB1 as sysdba @RecreateTablespaces.txt --
-- The import will be : --
-- imp EXIMTRX/oracle file=SMBCLNMETA.dmp full=y log=SMBCLNMETA.log --

ALTER PROFILE DEFAULT LIMIT PASSWORD_LIFE_TIME UNLIMITED;

DROP USER "EXIMMETA" CASCADE;
DROP USER "EXIMTRX" CASCADE;
DROP USER "EXIMUSER" CASCADE;
DROP USER "EXIMSYS" CASCADE;

DROP TABLESPACE "EXIMMETA" INCLUDING CONTENTS AND DATAFILES;   
DROP TABLESPACE "EXIMTRX" INCLUDING CONTENTS AND DATAFILES;
DROP TABLESPACE "EXIMUSER" INCLUDING CONTENTS AND DATAFILES;   
DROP TABLESPACE "EXIMSYS" INCLUDING CONTENTS AND DATAFILES;

CREATE TABLESPACE "EXIMMETA" DATAFILE '/home/datafiles/EXIMMETA.DAT' SIZE 50M AUTOEXTEND ON NEXT 500K MAXSIZE UNLIMITED LOGGING ONLINE PERMANENT BLOCKSIZE 8192 EXTENT MANAGEMENT LOCAL AUTOALLOCATE SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE "EXIMTRX" DATAFILE '/home/datafiles/EXIMTRX.DAT' SIZE 50M AUTOEXTEND ON NEXT 500K MAXSIZE UNLIMITED LOGGING ONLINE PERMANENT BLOCKSIZE 8192 EXTENT MANAGEMENT LOCAL AUTOALLOCATE SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE "EXIMUSER" DATAFILE '/home/datafiles/EXIMUSER.DAT' SIZE 50M AUTOEXTEND ON NEXT 500K MAXSIZE UNLIMITED LOGGING ONLINE PERMANENT BLOCKSIZE 8192 EXTENT MANAGEMENT LOCAL AUTOALLOCATE SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE "EXIMSYS" DATAFILE '/home/datafiles/EXIMSYS.DAT' SIZE 50M AUTOEXTEND ON NEXT 500K MAXSIZE UNLIMITED LOGGING ONLINE PERMANENT BLOCKSIZE 8192 EXTENT MANAGEMENT LOCAL AUTOALLOCATE SEGMENT SPACE MANAGEMENT AUTO;

CREATE USER "EXIMMETA" PROFILE "DEFAULT" IDENTIFIED BY "EXIMMETA" DEFAULT TABLESPACE "EXIMMETA" TEMPORARY TABLESPACE "TEMP" QUOTA UNLIMITED ON "USERS" QUOTA UNLIMITED ON "EXIMUSER" QUOTA UNLIMITED ON "EXIMTRX" QUOTA UNLIMITED ON "EXIMMETA"  QUOTA UNLIMITED ON "EXIMUSER"  QUOTA UNLIMITED ON "EXIMSYS" ACCOUNT UNLOCK;
GRANT "CONNECT" TO "EXIMMETA";
GRANT "EXP_FULL_DATABASE" TO "EXIMMETA";
GRANT "IMP_FULL_DATABASE" TO "EXIMMETA";

CREATE USER "EXIMTRX" PROFILE "DEFAULT" IDENTIFIED BY "EXIMTRX" DEFAULT TABLESPACE "EXIMTRX" TEMPORARY TABLESPACE "TEMP" QUOTA UNLIMITED ON "USERS" QUOTA UNLIMITED ON "EXIMUSER" QUOTA UNLIMITED ON "EXIMTRX" QUOTA UNLIMITED ON "EXIMMETA"  QUOTA UNLIMITED ON "EXIMUSER"  QUOTA UNLIMITED ON "EXIMSYS" ACCOUNT UNLOCK;
GRANT "CONNECT" TO "EXIMTRX";
GRANT "EXP_FULL_DATABASE" TO "EXIMTRX";
GRANT "IMP_FULL_DATABASE" TO "EXIMTRX";

CREATE USER "EXIMUSER" PROFILE "DEFAULT" IDENTIFIED BY "EXIMUSER" DEFAULT TABLESPACE "EXIMUSER" TEMPORARY TABLESPACE "TEMP" QUOTA UNLIMITED ON "USERS" QUOTA UNLIMITED ON "EXIMUSER" QUOTA UNLIMITED ON "EXIMTRX" QUOTA UNLIMITED ON "EXIMMETA"  QUOTA UNLIMITED ON "EXIMUSER"  QUOTA UNLIMITED ON "EXIMSYS" ACCOUNT UNLOCK;
GRANT "CONNECT" TO "EXIMUSER";
GRANT "EXP_FULL_DATABASE" TO "EXIMUSER";
GRANT "IMP_FULL_DATABASE" TO "EXIMUSER";

CREATE USER "EXIMSYS" PROFILE "DEFAULT" IDENTIFIED BY "EXIMSYS" DEFAULT TABLESPACE "EXIMSYS" TEMPORARY TABLESPACE "TEMP" QUOTA UNLIMITED ON "USERS" QUOTA UNLIMITED ON "EXIMUSER" QUOTA UNLIMITED ON "EXIMTRX" QUOTA UNLIMITED ON "EXIMMETA"  QUOTA UNLIMITED ON "EXIMUSER"  QUOTA UNLIMITED ON "EXIMSYS" ACCOUNT UNLOCK;
GRANT "CONNECT" TO "EXIMSYS";
GRANT "EXP_FULL_DATABASE" TO "EXIMSYS";
GRANT "IMP_FULL_DATABASE" TO "EXIMSYS";

